# Documentation Requirements

For all new features or workflows implemented in this project:

1. **Always update README.md**
   - Document any new features, options, or workflows
   - Include clear examples of how to use new functionality
   - Explain configuration options and their effects
   - Update any relevant sections of existing documentation

2. **Documentation Structure**
   - Maintain a consistent style with the existing documentation
   - Use clear, concise language
   - Include code examples where appropriate
   - Organize information logically (e.g., group related options)

3. **Documentation Best Practices**
   - Keep examples simple but illustrative
   - Document both basic and advanced usage patterns
   - Include information about default values and behavior
   - Explain any limitations or edge cases
   - Update version information if applicable

4. **Documentation Review Process**
   - Review documentation changes for accuracy
   - Ensure documentation is updated in the same PR as code changes
   - Check for typos and grammatical errors
   - Verify that examples work as described
